Subject: Re: bug#6093: 24.0.50; kbd-macro breaks atomic-change-group

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 01 Oct 2019 21:11:22 +0200

Andreas Politz <[email-masked]> writes:

> I believe this to be a bug.
>
> Executing a kbd-macro inside a atomic-change-group signals an error,
> if the group gets cancelled via `cancel-change-group'.
>
> (setq buffer-undo-list (list nil))
> (atomic-change-group      
>   (execute-kbd-macro "foobar.sFOOBAR"))

(I'm going through old bug reports that unfortunately didn't get any
response at the time.)

I tried eval-ing those two forms, but I didn't get an error.  Is there
something missing from the recipe, or has this been fixed in the years
since this was reported?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no